Skip to main content
curl --request POST 'https://api.mayar.id/hl/v1/product/webinar/create'\
--header 'Authorization: Bearer Paste-Your-API-Key-Here'\
--data-raw '{
        "name": "Webinar Belajar Crypto Untuk Pemula",
        "description": "Belajar dulu",
        "amount": 100000,
        "crossoutPrice": 199000,
        "eventUrl": "https://zoom.us/j/123456",
        "notes": "early-bird sd ds ds",
        "terms": "Tidak ada refund setelah pembelian",
        "redirectUrl": "https://example.com/webinar-thanks",
        "paymentType": "paid",
        "startAt": "2026-06-01T09:00:00.000Z",
        "eventStartAt": "2026-06-10T09:00:00.000Z",
        "eventEndAt": "2026-06-10T12:00:00.000Z",
        "expiredAt": "2026-06-15T12:00:00.000Z",
        "limit": 100
    }'
{
    "statusCode":200,
    "messages":"success",
    "data":
         {
            "id":"3f4fc3fd-10dc-4a97-b54c-7632881858cb",
            "link":"https://testingmayar.myr.id/pl/Webinar-Belajar-Crypto-Untuk-Pemula"
        }
}
Endpoint:
https://api.mayar.id/hl/v1/product/webinar/create

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Request Body

name
string
required
Webinar product name.
description
string
required
Webinar product description.
amount
integer
required
Webinar price amount.
crossoutPrice
integer
required
Crossed-out price displayed as the original price.
eventUrl
string
required
Webinar URL, such as Zoom or meeting link.
notes
string
Additional notes for the webinar.
terms
string
Terms and conditions for the webinar purchase.
redirectUrl
string
URL where the customer will be redirected after completing payment.
paymentType
string
required
Payment type for the webinar.
startAt
string | datetime
required
Sales start date in ISO 8601 format.
eventStartAt
string | datetime
required
Webinar start date in ISO 8601 format.
eventEndAt
string | datetime
required
Webinar end date in ISO 8601 format.
expiredAt
string | datetime
required
Webinar product expiration date in ISO 8601 format.
limit
number
Maximum participant or purchase limit.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code from API.
messages
string
Status message that describes the status code.
data
object
The created webinar product data.

data Structure (Array of Object)

data.id
string
Unique identifier of the webinar product.
Public URL of the created webinar product.